// 计量文件模块接口api
import request from '../index'
import type { fileSearchType } from '@/views/measure/file/file-interface'
const prefix = 'meter/'
// 文件列表(分页)
export function listPageApi(data: fileSearchType) {
  return request({
    url: `${prefix}file/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}
// 详情
export function listPageDetailApi(data: object) {
  return request({
    url: `${prefix}file/listPage`,
    method: 'post',
    data,
  })
}
// 废止
export function updateApi(data: object) {
  return request({
    url: `${prefix}file/update`,
    method: 'post',
    data,
  })
}
// 新建
export function addApi(data: object) {
  return request({
    url: `${prefix}file/add`,
    method: 'post',
    data,
  })
}
// 删除
export function deleteApi(data: { id: string }) {
  return request({
    url: `${prefix}file/delete`,
    method: 'post',
    data,
  })
}
// 文件上传
// export function UploadFile(fileobj: any) {
//   const param = new FormData()
//   param.append('file', fileobj.file)
//   return request({
//     url: 'file/uploadFile',
//     method: 'post',
//     headers: { 'Content-Type': 'multipart/form-data' },
//     data: param,
//   })
// }
export function UploadFile(data: FormData) {
  return request({
    url: 'minio/file/upload',
    method: 'post',
    data,
  })
}
// 导出
export function exportFileApi(data: object) {
  return request({
    url: 'file/listExport',
    method: 'post',
    data,
    responseType: 'blob',
  })
}

// 文件审批列表(分页)
export function approvallistPageApi(data: any) {
  return request({
    url: `/meter/file/approval/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}
// 审批详情
export function approvallistPageDetailApi(data: object) {
  return request({
    url: '/meter/file/approval/listPage',
    method: 'post',
    data,
  })
}
// 保存草稿箱
export function confirmDrafts(data: object) {
  return request({
    url: '/meter/file/save',
    method: 'post',
    data,
  })
}

// 提交 （ data 为 保存草稿箱接口的返回值）
export function submitFile(data: object) {
  return request({
    url: '/meter/file/submit',
    method: 'post',
    data,
  })
}
// 更新草稿箱
export function updateDrafts(data: object) {
  return request({
    url: '/meter/file/draftUpdate',
    method: 'post',
    data,
  })
}

